%define iconname gcstar.png
%global __provides_exclude perl\\(.*\\)
%global __requires_exclude perl\\(GC.*\\)

Summary:    A collection manager 
Name:       gcstar
Version:    1.7.1
Release:    %mkrel 5
License:    GPLv2+
Group:      Databases
URL:        https://gna.org/projects/gcstar/
Source:     http://download.gna.org/gcstar/%{name}-%{version}.tar.gz
Patch0:     gcstar-1.6.2-fhs.patch
Requires:   perl-Archive-Zip
Requires:   perl-Date-Calc
Requires:   perl-GD
BuildRequires: desktop-file-utils
BuildArch:  noarch 

%description
Gcstar is an application that can manage multiple collections.
Movies, Books, Video games, Games, Music, Stamps, Vine, etc.
It builds upon gcfilm's legacy.
You can update your data directly from the Internet.

%prep
%setup -q -n %{name}
%patch -P 0 -p 1
 
%install
install -D -m 755 bin/gcstar %{buildroot}%{_bindir}/gcstar

install -d %{buildroot}%{_datadir}
cp -a share/* %{buildroot}%{_datadir}
cp -a lib/gcstar %{buildroot}%{_datadir}/%{name}/lib

install -D -m 644 man/%{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1

desktop-file-install --vendor='' \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category='Office;AudioVideo;GTK' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}{%{_miconsdir},%{_iconsdir},%{_liconsdir},%{_menudir}}
cp share/gcstar/icons/%{name}_48x48.png %{buildroot}%{_liconsdir}/%{iconname}
cp share/gcstar/icons/%{name}_32x32.png %{buildroot}%{_iconsdir}/%{iconname}
cp share/gcstar/icons/%{name}_16x16.png %{buildroot}%{_miconsdir}/%{iconname}

%files
%doc README CHANGELOG
%{_bindir}/%{name}
%{_datadir}/applications/%{name}*
%{_datadir}/%{name}
%{_miconsdir}/%{iconname}
%{_iconsdir}/%{iconname}
%{_liconsdir}/%{iconname} 
%{_mandir}/man1/%{name}*



%changelog
* Sat Dec 21 2024 pterjan <pterjan> 1.7.1-5.mga10
+ Revision: 2127388
- Rebuild for patchN deprecation

* Sat Mar 26 2022 umeabot <umeabot> 1.7.1-4.mga9
+ Revision: 1828148
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 1.7.1-3.mga8
+ Revision: 1490401
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1.7.1-2.mga7
+ Revision: 1261987
- Mageia 7 Mass Rebuild

* Tue May 17 2016 stormi <stormi> 1.7.1-1.mga6
+ Revision: 1016361
- update to version 1.7.1

* Fri Feb 05 2016 umeabot <umeabot> 1.7.0-6.mga6
+ Revision: 938644
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.7.0-5.mga5
+ Revision: 747939
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.7.0-4.mga5
+ Revision: 679451
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Fri Oct 18 2013 umeabot <umeabot> 1.7.0-3.mga4
+ Revision: 504709
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.7.0-2.mga3
+ Revision: 351120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 shadow95 <shadow95> 1.7.0-1.mga3
+ Revision: 324061
- update to new version 1.7.0

* Sat Aug 11 2012 guillomovitch <guillomovitch> 1.6.2-2.mga3
+ Revision: 280616
- no need  for an explicit gtk dependency
- use /usr/share prefix for perl modules
- private perl modules are not suitable dependencies

* Mon Nov 07 2011 shadow95 <shadow95> 1.6.2-1.mga2
+ Revision: 165120
- fix error in install section
- clean spec
- remove old options (clean/update menu) in spec
- update to new version 1.6.2
- Update description
- clean spec
- clean spec
- first import in Mageia
- clean spec
- imported package gcstar
+ stormi <stormi>
- change description a bit

